import QtQuick 1.0

Rectangle {
    id: button

    property alias text: buttonText.text
    signal clicked();

    width: 150
    height: 30
    color: buttonMouse.pressed ? "#cccccc" : "#eeeeee"
    border.color: "#aaaaaa";
    border.width: 1;


    Text {
        id: buttonText;
        anchors.centerIn: parent
    }

    MouseArea {
        id: buttonMouse;
        anchors.fill: parent;
        onClicked: {
            button.clicked();
        }
    }
}